---
# <works>
- name: Create a trusted storage pool
  gluster_peer:
    state: present
    nodes:
      - '{{item}}'
  with_items: '{{peer_ips}}'
# <works/>

- debug:
    msg: "{{ hostvars['stor1_uni']['ansible_default_ipv4']['address'] }}"

## Bug!
# < Broken> There is a serious Bug that occurs when hulitple nodes are listed! However a single list item works!
# - name: Create a trusted storage pool
#   gluster_peer:
#     state: present
#     nodes:
#       - "{{ hostvars['stor1_uni']['ansible_default_ipv4']['address'] }}"
#       - "{{ hostvars['stor2_uni']['ansible_default_ipv4']['address'] }}"
# < Broken/>
